Home » Infrastructure » Unix » installing 9i on AIX 4.3.3 troubles at the begining !!
installing 9i on AIX 4.3.3 troubles at the begining !! [message #97980] Tue, 12 August 2003 09:26 Go to next message
Gerald
Messages: 54
Registered: January 2001
Member
Dears,

I start installing Oracle 9i Database on AIX 4.3.2(RS6000). I overpass the bos.perf.perfstat first trouble , but i still got the same trouble at the same time. Java screen can't start because of this:
Exception in thread "main" java.lang.UnsatisfiedLinkError:
/tmp/OraInstall2003-08-12_03-46-54PM/jre/bin/libawt.a
load ENOEXEC on shared library(s)
/tmp/OraInstall2003-08-12_03-46-54PM/jre/bin/libawt.a
/usr/lpp/X11/lib/R5/libXm.a

at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java(Compiled Code))
at java.lang.ClassLoader.loadLibrary(ClassLoader.java(Compiled Code))
at java.lang.Runtime.loadLibrary0(Runtime.java:780)

Someone knows what is still missing ?
Thanks for your help ...
Gerald
Re: Ok now it's Fixed :) [message #97981 is a reply to message #97980] Wed, 13 August 2003 07:57 Go to previous messageGo to next message
Gerald
Messages: 54
Registered: January 2001
Member
Well a friend o' Mind Find out the solution...

Just have forgot one thing to say:
On this AIX , we had the 8.0.4.0 Oracle version.
Following a forum solution to uninstall "cleanly"
Oracle , We have down a "rm -fr *" in /ora directory
And we start the installation thinking all was good ...
But ! rm-rf * DO NOT erase a .profile which was the cause of the Java Crash ...

Funny no ?!
Can't they just do a fuonction to uninstall their Stuff !! is that so difficult !!! Dawn 2 days for nothing !!
Re: installing 9i on AIX 4.3.3 troubles at the begining !! [message #97992 is a reply to message #97980] Mon, 15 September 2003 14:25 Go to previous message
Sanjay Bajracharya
Messages: 279
Registered: October 2001
Location: Florida
Senior Member
I think AIX 4.3.2 is 32 bit and 4.3.3 is 64-bit with possibility to run 32-bit kernel.

(Your subject says 4.3.3 and messge has 4.3.2, so what do you have ?)

With Oracle9i, you need a FULL 64-bit compliant hardware as Oracle9i is fully 64-bit. NOTE: there is no 32-bit Oracle9i for AIX.

Have you checked the compatibility matrix ?
Previous Topic: Unix shell scripts
Next Topic: database retore and recovery procedure on Sun cluster
Goto Forum:
  


Current Time: Sat Jan 16 08:59:32 CST 2021